<div class="card campaign-card">
  {{#if this.showCover}}
    <PictureWithOptions
      class="card-cover"
      @deviceSize={{@deviceSize}}
      @src={{this.picture.picture}}
      @name={{this.picture.name}}
      @options={{this.pictureOptions}}
      @deviceSize={{@deviceSize}}
      {{on "click" this.transitionToCampaign}}
    />
  {{/if}}

  {{#if (or this.showName this.showDescription)}}
    <div class="card-body p-0">
      {{#if this.showName}}
        <div>
          <TextWithOptions
            class="name card-title"
            @tag="a"
            @options={{@value.data.name}}
            @to={{this.destination}}
            @deviceSize={{@deviceSize}}
            {{did-insert this.linkSetup}}
          ><!--
            -->{{@campaign.name}}<!--
            --><VisibilityIcon @value={{@campaign.visibility.isPublic}} />
          </TextWithOptions>
        </div>
      {{/if}}

      {{#if this.showDescription}}
        <TextWithOptions @options={{@value.data.description}} @deviceSize={{@deviceSize}} class="card-text card-description"><!--
          -->{{@campaign.firstParagraph}}<!--
        --></TextWithOptions>
      {{/if}}
    </div>
  {{/if}}

  {{#if @campaign.canEdit}}
    <div class="campaign-options card-options {{if this.isAdminView ' is-open'}}" {{did-insert this.setupOptions}}>
      <button type="button" class="btn btn-extend rounded-circle {{if this.isAdminView ' rotate'}}" {{on "click" this.showAdmin}}>
        <FaIcon @icon="ellipsis-h" />
      </button>

      <div class="dropdown-menu {{if this.isAdminView ' d-block'}}">
        <ModelActions::Record @record={{@campaign}} @onDelete={{@onDelete}} />
      </div>
    </div>
  {{/if}}
</div>